<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
      <title>Form</title>
      <link rel="stylesheet" href="styles.css" type="text/css">
      <script type="text/javascript" src="validations.js"></script>
  </head>
  <body>
    <h1>Form</h1>
    <form name="form1" action="/serverResources" method="POST" onsubmit="return validateForm(this);">
      <input type="hidden" name="hidden" value="hiddenValue">
      <table width="200" id="one-column-emphasis">
        <caption>Data Register Form</caption>
        <tr>
          <td class="oce-first">User: (*)</td>
          <td>
            <!-- onfucus="this.select();" Hover over specific item when page loading -->
            <input class="default" type="text" name="user" value="Insert a user" onfocus="this.select();">
          </td>
        </tr>
        <tr>
          <td class="oce-first">Password: (*)</td>
          <td>
            <input class="default" type="password" name="password" onfocus="this.select();">
          </td>
        </tr>
        <tr>
          <td class="oce-first">Interest Technologies: (*)</td>
          <td>
            Java <input type="checkbox" name="technology" value="java">
            &nbsp; &nbsp; &nbsp;
            .Net <input type="checkbox" name="technology" value="net">
            &nbsp; &nbsp; &nbsp;
            Php <input type="checkbox" name="technology" value="php">
          </td>
        </tr>
        <tr>
          <td class="oce-first">Genre: (*)</td>
          <td>
            Man <input type="radio" name="genre" value="H">
            &nbsp; &nbsp; &nbsp;
            Woman <input type="radio" name="genre" value="W">
          </td>
        </tr>
        <tr>
          <td class="oce-first">Occupation: (*)</td>
          <td>
            <select name="occupation" class="default">
              <option value="">Select</option>
              <option value="1">Profesor</option>
              <option value="2">Engineer</option>
              <option value="3">Retired</option>
              <option value="4">Other</option>
            </select>
          </td>
        </tr>
        <tr>
          <td class="oce-first">Favorite Music:</td>
          <td>
            <select name="music" multiple class="default">
              <option value="rock">Rock</option>
              <option value="pop">Pop</option>
              <option value="salsa">Salsa</option>
            </select>
          </td>
        </tr>
        <tr>
          <td class="oce-first">Comments:</td>
          <td>
            <textarea name="comments" class="default" cols="30" rows="2" onfocus="this.select();">
              Write a comment
            </textarea>
          </td>
        </tr>
        <tr style="text-align: center;">
          <td>
            <input type="reset" value="Clean" class="default">
          </td>
          <td>
            <input type="submit" value="Send" class="default">
          </td>
        </tr>
      </table>
    </form>
  </body>
</html>